glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Value_Enum< T > Class Template Reference
Generic Values

Base class of Glib::Value<T> specializations for enum types. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value_Enum< T >:
[legend]

## Public Types
typedef T | CppType
Public Types inherited from Glib::ValueBase_Enum
typedef gint | CType

## Public Member Functions
void | set (CppType data)
CppType | get () const

## Additional Inherited Members
Static Public Member Functions inherited from Glib::ValueBase_Enum
static GType | value_type ()
Protected Member Functions inherited from Glib::ValueBase_Enum
void | set_enum (int data)
int | get_enum () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<class T>
class Glib::Value_Enum< T >

Base class of Glib::Value<T> specializations for enum types.

## Member Typedef Documentation

template <class T >

typedef T Glib::Value_Enum< T >::CppType

## Member Function Documentation

template <class T >

CppType Glib::Value_Enum< T >::get | ( |  | ) | const
| inline

template <class T >

void Glib::Value_Enum< T >::set | ( | CppType | data | ) |
| inline